com.h3c.api.auth

## Class AuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.h3c.api.auth.AuthenticationException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    KeystoneConnectionException

      public class AuthenticationException
      extends RuntimeException

  Exception representing an authentication failure.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationException()` Constructs an exception with no message and no underlying cause.
    `AuthenticationException(String message)` Constructs an exception with the specified message.
    `AuthenticationException(String message, String token)` Constructs an exception with the specified message, token, and underlying cause.
    `AuthenticationException(String message, String token, Throwable cause)` Constructs an exception with the specified message, token, and underlying cause.
    `AuthenticationException(String message, Throwable cause)` Constructs an exception with the specified message and underlying cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getToken()` Get the token.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationException

          public AuthenticationException()

      Constructs an exception with no message and no underlying cause.

    - #### AuthenticationException

          public AuthenticationException(String message)

      Constructs an exception with the specified message.
      Parameters:
        `message` - the message describing the specific nature of the error

    - #### AuthenticationException

          public AuthenticationException(String message,
                                 String token)

      Constructs an exception with the specified message, token, and underlying cause.
      Parameters:
        `message` - the message describing the specific nature of the error
        `token` - the token used when the error was encountered

    - #### AuthenticationException

          public AuthenticationException(String message,
                                 Throwable cause)

      Constructs an exception with the specified message and underlying cause.
      Parameters:
        `message` - the message describing the specific nature of the error
        `cause` - underlying cause exception

    - #### AuthenticationException

          public AuthenticationException(String message,
                                 String token,
                                 Throwable cause)

      Constructs an exception with the specified message, token, and underlying cause.
      Parameters:
        `message` - the message describing the specific nature of the error
        `token` - the token used when the error was encountered
        `cause` - underlying cause exception

  - ### Method Detail

    - #### getToken

          public String getToken()

      Get the token.
      Returns:
        token

Copyright © 2014. All Rights Reserved.